﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS2000 Setup RS-232
INSTRUMENT:            Sub Tek TPS2000 Self-Test RS-232
INSTRUMENT:            Sub Tek TPS2000 Sig Path Comp Cal RS-232
INSTRUMENT:            Sub Tek TPS2000 Cal Initialize RS-232
INSTRUMENT:            Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
INSTRUMENT:            Sub Tek TPS2000 Self Cal RS-232
DATE:                  2014-03-14 15:05:00
AUTHOR:                Fluke
REVISION:              $Revision: 7612 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       222
=============================================================================
#
#  Procedure Author:
#        VY, GNO
#
#  Model(s) Covered:
#        TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP                        PSUBI("Setup")
  1.002  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.003  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Sig Path Comp")
  1.004  JMPL         CAL_INITIALIZE               PSUBI("Cal Initialize")
  1.005  JMPL         TRIGGER                      PSUBI("Trigger Chk")
  1.006  JMPL         SELF_CAL                     PSUBI("Self Cal")
  1.007  DISP         Undefined subprocedure!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub Tek TPS2000 Setup RS-232  =======================================

  2.001  LABEL        SETUP
  2.002  DISP         On the UUT front panel:
  2.002  DISP         [32] Press UTILITY.
  2.002  DISP         [32] Press "Options" softkey.
  2.002  DISP         [32] Press "RS-232 Setup" softkey.
  2.002  DISP         [32] Press "Set To Default" softkey.
  2.003  PORT         [P9600,N,8,1,H][T15000][OTERM LF][TERM LF]
  2.004  END

  2.005  EVAL   Increment step number

# =====  Sub Tek TPS2000 Self-Test RS-232  ===================================

  3.001  LABEL        SELF_TEST
  3.002  MATH         @Abort = 0
  3.003  RSLT         =
  3.004  HEAD         SELF TEST
  3.005  TARGET
# Query the result of diagnostics when power on
  3.006  PORT         DIA:RESU:FLA?[I$]
# Self Test evaluation
  3.007  EVAL   -e FINDI(MEM2, "Pass", 1) : SELF TEST

  4.001  IF           FAIL()
  4.002  DISP         SELF TEST failed!
  4.002  DISP
  4.002  DISP         The UUT may need be serviced.
  4.002  DISP
  4.002  DISP         Press Advance to terminate the procedure.
  4.003  MATH         @Abort = 1
  4.004  ENDIF

  4.005  END

  4.006  EVAL   Increment step number

# =====  Sub Tek TPS2000 Sig Path Comp Cal RS-232  ===========================

  5.001  LABEL        SIGNAL_PATH_COMPENSATION
  5.002  MATH         @Abort = 0
# Ask the operator if they want to run the test.  It is not necessary to run
# this test again if already ran and the temperature is constant.
  5.003  OPBR         It is recommended that a Self Calibration Test
  5.003  OPBR         be performed before running the performance Test.
  5.003  OPBR         It is only necessary to run this test one time.
  5.003  OPBR
  5.003  OPBR         Do you want to run the Self Calibration Test?

  5.004  IF           MEM1 > 0
  5.005  RSLT         =
  5.006  HEAD         SELF CALIBRATION
  5.007  DISP         Remove all connections from the UUT.
  5.008  PORT         [T300000]*CAL?
  5.009  WAIT         [D2000]
  5.010  DISP         The UUT Self Calibration routine has
  5.010  DISP         started.
  5.010  DISP
  5.010  DISP         Select "Advance" when the UUT Self Calibration routine
  5.010  DISP         has finished.
  5.011  HEAD         SELF CALIBRATION COMPLETE
  5.012  PORT         [T30000]CAL:STATUS?[I!][I$]
  5.013  EVAL   -e FINDI(MEM2, "Pass", 1) : SELF CALIBRATION

  6.001  IF           FAIL()
  6.002  DISP         SIGNAL PATH COMPENSATION FAILED!
  6.002  DISP
  6.002  DISP         The UUT may need be serviced.
  6.002  DISP
  6.002  DISP         Press Advance to terminate the procedure.
  6.003  MATH         @Abort = 1
  6.004  ENDIF

  6.005  ENDIF

  6.006  END

  6.007  EVAL   Increment step number

# =====  Sub Tek TPS2000 Cal Initialize RS-232  ==============================

  7.001  LABEL        CAL_INITIALIZE
  7.002  PORT         *RST;HEADER OFF

# Select ON/OFF based on whether UUT is 2 or 4 channel.
  7.003  IF           @NumChan == 2

# Specify channel being tested.
  7.004  IF           @Chan == 1
  7.005  PORT         SELECT:CH1 ON;CH2 OFF
  7.006  ELSE
  7.007  PORT         SELECT:CH1 OFF;CH2 ON
  7.008  ENDIF

  7.009  ELSE         ;  @NumChan == 4

# Specify channel being tested.
  7.010  IF           @Chan == 1
  7.011  PORT         SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  7.012  ELSEIF       @Chan == 2
  7.013  PORT         SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  7.014  ELSEIF       @Chan == 3
  7.015  PORT         SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  7.016  ELSE
  7.017  PORT         SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  7.018  ENDIF

  7.019  ENDIF

  7.020  WAIT         -t 3 System Initializing ...
  7.021  END

  7.022  EVAL   Increment step number

# =====  Sub Tek TPS2000 Trigger Chk and Level Adj RS-232  ===================

  8.001  LABEL        TRIGGER
  8.002  PORT         TRIG:MAI SETL
# Query the current trigger level to decide step value of adjustment according
# the signal peak value.
  8.003  PORT         TRIG:MAI:LEV?[I]
  8.004  MATH         TrigLevel = MEM
  8.005  MATH         Step = (@PeakValue - MEM) / 10

  8.006  DO
# Check the status of trigger
  8.007  PORT         [D1000]TRIG:STATE?[I$]
  8.008  MATH         @Trigged = FINDI(MEM2, "Trig", 1)

  8.009  IF           NOT(@Trigged)
# Increase the trigger level.
  8.010  MATH         TrigLevel = TrigLevel + Step
  8.011  PORT         TRIG:MAI:LEV [V TrigLevel]
  8.012  ENDIF

# Exit loop when signal have been trigged or trigger level has exceeded the
# signal peak value and signal is still not triggered yet.
  8.013  UNTIL        @Trigged || TrigLevel > @PeakValue

  8.014  END

  8.015  EVAL   Increment step number

# =====  Sub Tek TPS2000 Self Cal RS-232  ====================================

  9.001  LABEL        SELF_CAL

  9.002  DO
  9.003  HEAD         SELF CALIBRATION
  9.004  MATH         @Abort = 0
  9.005  TARGET
  9.006  DISP         Remove all connections from the UUT.
  9.007  PORT         [T300000]CAL:INTERNAL
  9.008  MATH         L[1] = @SelfCalTime
  9.009  WAIT         -t [L1] Self Calibration routine is in progress...
  9.010  CALL         Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232

  9.011  IF           @Error
  9.012  OPBR         -z Failure occurred during the self calibration routine
  9.012  OPBR
  9.012  OPBR         Do you wish to retry the calibration?
  9.013  MATH         @Abort = NOT(MEM1)
  9.014  ENDIF

  9.015  UNTIL        NOT(@Error) || @Abort

  9.016  END
